//
// EX04DLG.H  - Component of MFC Example Program 04
//
//  C++/DOS Example program for ArchiveLib 2.0
//
//  Copyright (c) Greenleaf Software, Inc. 1996
//  All Rights Reserved
//
// MEMBERS/FUNCTIONS DEMONSTRATED
//
//   None in this file.
//
// DESCRIPTION
//
//  This header file contains the class definition for the dialog
//  that serves as the main window of the application.  I add four
//  member variables to the default class, which will hold four
//  pointers used by the monitor function.
//
// REVISION HISTORY
//
//  March 18, 1996    2.01A : First release
//


// ex04dlg.h : header file
//

#include "alsimple.h"

/////////////////////////////////////////////////////////////////////////////
// CEx04mfcDlg dialog

class CEx04mfcDlg : public CDialog
{
// Construction
public:
	CEx04mfcDlg(CWnd* pParent = NULL);	// standard constructor
//
// The four public members I use in the
// callback progress function.
//
    CWnd *m_FileName;
    CWnd *m_JobProgress;
    CWnd *m_FileProgress;
    CListBox *m_ListBox;
// Dialog Data
	//{{AFX_DATA(CEx04mfcDlg)
	enum { IDD = IDD_EX04MFC_DIALOG };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEx04mfcDlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
    void UpdateStatus();

    HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CEx04mfcDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnExit();
	afx_msg void OnAbout();
	afx_msg void OnCompress();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

